sentry-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tuong Truong (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (SENTRY-324) Sentry need to be refactored to base on Hive 0.13 privilegeType class
Date Wed, 23 Jul 2014 16:19:39 GMT

     [ https://issues.apache.org/jira/browse/SENTRY-324?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Tuong Truong updated SENTRY-324:
--------------------------------

    Fix Version/s:     (was: 1.4.0)
                   1.5.0

> Sentry need to be refactored to base on Hive 0.13 privilegeType class
> ---------------------------------------------------------------------
>
>                 Key: SENTRY-324
>                 URL: https://issues.apache.org/jira/browse/SENTRY-324
>             Project: Sentry
>          Issue Type: Bug
>    Affects Versions: 1.4.0
>            Reporter: Ruiming Zhou
>              Labels: newbie
>             Fix For: 1.5.0
>
>         Attachments: SENTRY-324-1.patch
>
>
> Sentry hit compile error when using Hive 0.13.
> Hive 0.13 has refactored the enclosing privilegeType enum out of the Privilege class.
Sentry need to adjust to use  the new privilegeType class. 



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message